Subject: Re: [reprepro] Please add dep-11 support

From: Wouter Verhelst <[email-masked]>
Date: Wed, 03 Oct 2018 11:54:05 +0200

Package: reprepro
Version: 5.2.0-1
Followup-For: Bug #824521

For the record, it's not apt which adds the extra downloads, but an apt
hook provided by the "appstream" package
(/etc/apt/apt.conf.d/50appstream).

Generating the DEP11 metadata is fairly straightforward by way of the
appstream-generator package. I think it would make sense for reprepro to
either allow one to provide appstream metadata as generated by that
package for adding to the Release file (and signing etc with the
repository key), or to generate an appstream-generator configuration
file and run the tool itself.

AppStream is package metadata just like Release etc files are, and if
you want full repository metadata then it should be included as well.